#view-viewAsset {

  .asset-overview {
    z-index: 0;
    position: absolute;
    width: 100%;
    left: 0;
    top: 0;
    overflow: auto;
    height: 100vh;
  }

  .asset-overview-header {
    color: #FFF;
    background-image: linear-gradient(154deg, #50cbaf -40%, #66add6 130%);

    .content {
      margin: 32px auto 16px;
    }
  }

  #asset-overview-fuel-warning {
    color: #eb4d4b;
    font-weight: bold;
  }

  #asset-overview-logo:hover {
    cursor: pointer;
  }

  #asset-overview-asset,
  #asset-overview-balance {
    width: 50%;
    display: inline-block;
  }

  #asset-overview-asset {
    text-align: left;

    #asset-overview-asset-icon {
      float: left;
      margin-right: 8px;

      svg {
        width: 22px;
        height: 22px;

        path {
          fill: #fff !important;
        }

        text {
          fill: #50cbaf !important;
        }
      }
    }
  }

  #asset-overview-balance {
    float: right;
    text-align: right;

    #asset-overview-asset-balance,
    #asset-overview-asset-valuation {
      float: right;
      display: block;
      width: 100%;
    }
  }

  #asset-overview-asset-balance,
  #asset-overview-asset-id {
    font-weight: $semi-bold;
    text-transform: uppercase;
    min-height: 24px;
    word-break: break-word;

    @include font-size(20);
    @include line-height(22);

    @include breakpoint(small) {
      @include font-size(22);
      @include line-height(24);
    }
  }

  #asset-overview-asset-id {
    margin-right: 10px;
  }

  /* THIS BAD PIECE OF CSS WILL BE DEPRECATED!
  #asset-overview-asset-balance {
    span {
      display: none;

      @include breakpoint(small) {
        display: inline;
      }
    }
  }
  */

  #asset-overview-asset-name,
  #asset-overview-asset-valuation {
    font-weight: $regular;
    color: rgba(white, 0.8);
    min-height: 24px;
    padding-top: 4px;

    @include font-size(14);
    @include line-height(18);
  }

  .transaction-btns {
    padding-bottom: 1em;

    .pure-button {
      width: calc(24% - 10px);
      min-width: 160px;

      .icon {
        display: inline-block;
        margin-right: 8px;

        svg {
          width: 20px;
          height: 20px;
          margin-bottom: -2px;

          path {
            fill: #fff !important;
          }
        }
      }
    }

    #sendAssetButton,
    #fuelAssetButton,
    #receiveAssetButton,
    #swapAssetButton,
    #exportAssetButton,
    #viewAsset-loadHistoryButton, {
      margin-left: 4px;
      margin-right: 4px;
      margin-bottom: 12px;
      border: 1px solid #cae9ee;
      position: relative;
      overflow: hidden;

      &:hover {
        background-color: #92bfc8;
      }

      .icon {
        width: 20px;
        height: 20px;
        background-size: 100% 100%;
        background-repeat: no-repeat;
        vertical-align: middle;
      }
    }

    #viewAsset-loadHistoryButton {
      margin-bottom: 8em;
    }

    #sendAssetButton {
      .icon {
        background-image: url("./svg/send.svg");
      }
    }

    #fuelAssetButton {
      .icon {
        background-image: url("./svg/fuel.svg");
      }
    }

    #receiveAssetButton {
      .icon {
        background-image: url("./svg/receive.svg");
      }
    }

    #swapAssetButton {
      .icon {
        background-image: url("./svg/swap.svg");
      }
    }

    #exportAssetButton {
      .icon {
        background-image: url("./svg/actions.svg");
      }
    }

    #viewAsset-loadHistoryButton {
      margin-top: 20px;
      background: linear-gradient(44deg, #68abc6 0%, #e383ce 51%, #e49384 100%);
      border: 1px solid #b44fc6;
      min-width: 240px;
      opacity: 60%;

      &:hover {
        opacity: 100%;
      }
      .icon {
        background-image: url("./svg/history.svg");
        margin-right: 12px;
      }
    }
  }

  .transaction-history {
    .content {
      margin: 24px auto;
    }
    .history-contact {
      color: #08c;
    }
  }

  #viewAsset-history {
    margin-left: auto;
    margin-right: auto;
    transition: any 0.5s ease-out; // smooth transitions
  }

  .tx-history-entry {
    border: 1px solid #cbcbbc;
    margin: 10px auto 0 auto;
    border-radius: 8px;
    padding: 16px 24px;
    text-align: left;
    max-width: 780px;
    width: 98%;
  }

  p.tx-history-date {
    display: inline-block;
    margin: 0;
    font-size: 14px;
    color: black;
    font-weight: 600;
  }

  p.tx-history-fail {
    display: inline-block;
    margin: 0;
    font-size: 14px;
    color: black;
    font-weight: 600;
  }

  p.tx-history-amount {
    display: inline-block;
    float: right;
    margin: 0;
    font-size: 16px;
    font-weight: 600;
    color: black;
  }

  p.tx-history-description {
    font-size: 16px;
    color: #333;
  }

  p.tx-history-address,
  p.tx-history-id {
    font-size: 14px;
    color: #aeaeb3;
    margin: 6px 0;
    word-break: break-word;
  }

  p.tx-history-address {
    color: #555;
  }

  p.tx-history-amount.to {
    color: #eb4d4b;
  }

  p.tx-history-amount.from {
    color: #6ab04c;
  }

  p.tx-history-amount.self {
    color: #aaaaaa;
  }

  .qr-scanner {
    height: 100%;
    width: 100%;
    background: black;

    @include border-radius(8px);
  }

  .qr-scanner-confirmation {
    display: block;
    background: #fff;
    position: absolute;
    top: 0 !important;
    left: 0 !important;
    height: 100%;
    width: 100%;
    background: white;
    padding: 30px 40px;

    @include border-radius(8px);

    text-align: left;
    overflow-y: auto;
  }

  .warningMessageForFailedScan {
    color: #eb4d4b;
    margin: 10px 0;
  }

  .qr-scanner-invalid-message {
    display: none;
    position: absolute;
    top: 0 !important;
    left: 0 !important;
    height: 100%;
    width: 100%;
    background: white;
    padding: 30px 40px;

    @include border-radius(8px);

    text-align: left;
  }

  .asset-overview-asset-data {
    margin-top: 0;
    padding-top: 50px;

    .content {
      table {
        width: 100%;
        margin: 20px auto;

        tr {
          td:nth-child(1) {
            text-align: left;
          }

          td:nth-child(2) {
            text-align: right;
          }
        }
      }
    }
  }

  #viewAsset-history-more {
    cursor: pointer;
    text-align: center;
    margin-top: 2em;
    margin-bottom: 20em;
    padding: 16px 16px;
    min-height: 32px;
    max-width: 780px;
    width: 50%;
    margin-left: auto;
    margin-right: auto;
    background: #dceeef;
    color: #3fa4af;
    border: 1px solid #5dbdc9;
    font-weight: 600;
    white-space: normal;
    -webkit-border-radius: 8px;
    border-radius: 8px;
    background-clip: padding-box;
    font-size: 12px;
    font-size: 0.75rem;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -moz-transition: all 0.2s ease-out;
    -o-transition: all 0.2s ease-out;
    -webkit-transition: all 0.2s ease-out;

    &:hover {
      filter: brightness(112%);
    }
  }

  #viewAsset-history-more.disabled {
    pointer-events: none;
    background: transparent;
    color: grey;
    border: 1px solid grey;
  }

  #viewAsset-history-note {
    text-align: center;
    display: block;
    margin-top: 0.85em;
    font-weight: 400;
  }

  #viewAsset-explore {
    text-align: center;
    cursor: pointer;
    display: block;
    margin-top: 0.85em;
    color: #66add6;
    font-weight: 400;
  }

  #viewAsset-explore-image {
    width: 32px;
    height: 32px;
    vertical-align: middle;
  }

  .viewAsset-exploreTransaction {
    background-image: url('./svg/explore.svg');
    background-size: 100% 100%;
    width: 1.3em;
    height: 1.3em;
    display: inline-block;
    margin-bottom: -5px;
    margin-left: 5px;
  }

  .viewAsset-pendingTransaction {
    border-style: dashed;
    font-style: oblique;
    opacity: 0.5;
    animation: flashing 1.5s linear infinite;
  }

  .viewAsset-pendingTransaction span.viewAsset-history-pending {
    background-color: darkgray;
    color: white;
    padding: 2px;
    margin-left: 5px;
    margin-top: 5px;
    margin-bottom: 5px;
    border-radius: 5px;
    display: inline-block;
    background-image: url("./svg/pending.svg");
    background-repeat: no-repeat;
    padding-left: 25px;
    padding-right: 5px;
    background-position: 5px 5px;
    background-size: 17px 17px;
  }

  #viewAsset-betaSwap,
  #viewAsset-fuelSwap {
    width: 95px;
    height: 25px;
    position: absolute;
    right: -30px;
    font-size: 12px;
    border-top-left-radius: 50px;
    border-width: 1px;
    background-color: white;
    color: #66add6;
  }

  #viewAsset-lock {
    margin-top: 20px;
  }

  #viewAsset-spinner-message {
    margin-top: 24px;
    font-size: 1em;
    font-weight: bold;
  }
  
}
